Bug 848501 - IE8 rendering of resource measurement time overlaid on the actual metric name
Summary: IE8 rendering of resource measurement time overlaid on the actual metric name
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 4.4
Hardware: Unspecified Windows
medium
medium vote
Target Milestone: ---
: RHQ 4.5.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
: 850852 (view as bug list)
Depends On:
Blocks: 852223
TreeView+ depends on / blocked
 
Reported: 2012-08-15 19:05 UTC by Mike Thompson
Modified: 2013-09-01 10:02 UTC (History)
4 users (show)

Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852223 (view as bug list)
Environment:
Last Closed: 2013-09-01 10:02:22 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ie8 metric value overlaying text (120.13 KB, image/jpeg)
2012-08-15 19:05 UTC, Mike Thompson
no flags Details
ie9 Windows 7 (120.75 KB, image/jpeg)
2012-08-15 19:23 UTC, Mike Thompson
no flags Details
Metrics Portlet Wide (28.12 KB, image/jpeg)
2012-09-17 21:37 UTC, Mike Thompson
no flags Details
Metrics Portlet Narrow (26.21 KB, image/jpeg)
2012-09-17 21:38 UTC, Mike Thompson
no flags Details

Description Mike Thompson 2012-08-15 19:05:58 UTC
Created attachment 604668 [details]
ie8 metric value overlaying text

Description of problem:
This is an IE8 bug where the metric values overlay the metric name in IE8.


How reproducible:
Always

Steps to Reproduce:
Go to a resource summary page (with the sparkline thumbnail graphs)

/coregui/#Resource/10002/Summary/Activity


The metric values should not overlay the text.

NOTE: this brought in by the fix: 
https://bugzilla.redhat.com/show_bug.cgi?id=825230
and is in JON3.1.1.

Comment 1 Mike Thompson 2012-08-15 19:23:02 UTC
Created attachment 604674 [details]
ie9 Windows 7

Comment 2 Mike Thompson 2012-08-15 19:24:49 UTC
Confirmed on Windows 7 IE9 as well.

css incompatibility.

Comment 3 Charles Crouch 2012-08-15 19:49:07 UTC
Assigning to Mike to investigate for jon311

(2:48:12 PM) ccrouch: mtho11: yes please investigate, and assuming the change is super easy and safe and doesnt impact our other supported browsers, then lets target it, but lets make sure its gets reviewed

Comment 4 Mike Thompson 2012-08-27 15:27:39 UTC
*** Bug 850852 has been marked as a duplicate of this bug. ***

Comment 5 Mike Thompson 2012-08-27 21:55:50 UTC
After some fiddling I came up with a simple one line solution that works across all browsers and is low risk.

Master commit ID: f3f26d0

Comment 6 Jirka Kremser 2012-08-28 14:11:50 UTC
reviewed. It works as it should on FF10 and IE8

Comment 7 Mike Thompson 2012-08-28 14:35:30 UTC
Jon3.1.1 related BZ: https://bugzilla.redhat.com/show_bug.cgi?id=852223

Comment 8 Mike Thompson 2012-09-17 21:29:54 UTC
master commit id: a493f41

I added an overflow row beneath the metric description text that if the text is long enough it will overlflow to the second row and there is also a hover text that shows the full text if the portlet is so small that 2 rows of text wont work. So this now supports much smaller portlets without the mangling of metric descriptions/metric values together.

This is now moved to JON 3.1.2 from 3.1.1.

I wanted to make sure this got into RHQ 4.5.

Comment 9 Mike Thompson 2012-09-17 21:37:44 UTC
Created attachment 613791 [details]
Metrics Portlet Wide

Comment 10 Mike Thompson 2012-09-17 21:38:19 UTC
Created attachment 613792 [details]
Metrics Portlet Narrow

Comment 11 Heiko W. Rupp 2013-09-01 10:02:22 UTC
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.


Note You need to log in before you can comment on or make changes to this bug.